Index: bootscripts/lfs/init.d/checkfs
===================================================================
--- bootscripts/lfs/init.d/checkfs	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/init.d/checkfs	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -35,5 +35,5 @@
 # Default-Stop:
 # Short-Description:   Checks local filesystems before mounting.
-# Description:         Checks local filesystmes before mounting.
+# Description:         Checks local filesystems before mounting.
 # X-LFS-Provided-By:   LFS
 ### END INIT INFO
Index: bootscripts/lfs/init.d/mountfs
===================================================================
--- bootscripts/lfs/init.d/mountfs	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/init.d/mountfs	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -56,5 +56,5 @@
       # Don't unmount virtual file systems like /run
       log_info_msg "Unmounting all other currently mounted file systems..."
-      # Ensure any loop devies are removed
+      # Ensure any loop devices are removed
       losetup -D
       umount --all --detach-loop --read-only \
Index: bootscripts/lfs/init.d/rc
===================================================================
--- bootscripts/lfs/init.d/rc	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/init.d/rc	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -184,5 +184,5 @@
 # Start all services marked as S in this runlevel, except if marked as
 # S in the previous runlevel
-# it is the responsabily of the script to not try to start an already running
+# it is the responsibility of the script to not try to start an already running
 # service
 for i in $( ls -v /etc/rc.d/rc${runlevel}.d/S* 2> /dev/null)
Index: bootscripts/lfs/init.d/template
===================================================================
--- bootscripts/lfs/init.d/template	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/init.d/template	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -46,5 +46,5 @@
       killproc fully_qualified_path
     # if it is not possible to use killproc
-    # (the daemon shoudn't be stopped by killing it)
+    # (the daemon shouldn't be stopped by killing it)
       if pidofproc daemon_name_as_reported_by_ps >/dev/null; then
          command_to_stop_the_service
Index: bootscripts/lfs/lib/services/init-functions
===================================================================
--- bootscripts/lfs/lib/services/init-functions	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/lib/services/init-functions	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -156,5 +156,5 @@
 
         # Return a value ONLY
-        # It is the init script's (or distribution's functions) responsibilty
+        # It is the init script's (or distribution's functions) responsibility
         # to log messages!
         case "${retval}" in
@@ -272,5 +272,5 @@
 
     # Return a value ONLY
-    # It is the init script's (or distribution's functions) responsibilty
+    # It is the init script's (or distribution's functions) responsibility
     # to log messages!
     case "${retval}" in
Index: bootscripts/lfs/sysconfig/createfiles
===================================================================
--- bootscripts/lfs/sysconfig/createfiles	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/sysconfig/createfiles	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -22,5 +22,5 @@
 #               <devtype> is either block, char or pipe
 #                       block creates a block device
-#                       char creates a character deivce
+#                       char creates a character device
 #                       pipe creates a pipe, this will ignore the <major> and
 #           <minor> fields
Index: bootscripts/lfs/sysconfig/rc.site
===================================================================
--- bootscripts/lfs/sysconfig/rc.site	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ bootscripts/lfs/sysconfig/rc.site	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -33,5 +33,5 @@
 #WARNING_PREFIX="${WARNING} *** ${NORMAL} "
 
-# Manually seet the right edge of message output (characters)
+# Manually set the right edge of message output (characters)
 # Useful when resetting console font during boot to override
 # automatic screen width detection
Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ chapter03/introduction.xml	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -105,3 +105,13 @@
   methods listed above.</para>
 
+  <para>If the packages and patches are downloaded as a non-&root; user,
+  these files will be owned by the user.  The file system records the
+  owner by its UID, and the UID of a normal user in the host distro is
+  not assigned in LFS.  So the files will be left owned by an unnamed UID
+  in the final LFS system.  If you won't assign the same UID for your user
+  in the LFS system, change the owners of these files to &root; now to
+  avoid this issue:</para>
+
+<screen role="nodump"><userinput>chown root:root $LFS/sources/*</userinput></screen>
+
 </sect1>
Index: chapter08/pkgmgt.xml
===================================================================
--- chapter08/pkgmgt.xml	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ chapter08/pkgmgt.xml	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -95,5 +95,5 @@
       you should remove the library file from the previously installed version
       (<filename class='libraryfile'>libfoo.so.1.25</filename> in this case).
-      Otherwise, a <command>ldconfig</command> command (invokeed by yourself from the command
+      Otherwise, a <command>ldconfig</command> command (invoked by yourself from the command
       line, or by the installation of some package) will reset the symlink
       <filename class='libraryfile'>libfoo.so.1</filename> to point to
@@ -108,5 +108,5 @@
       linked to the shared library should be restarted.  The following
       command, run as <systemitem class="username">root</systemitem> after
-      the update is cmplete, will list which processes are using the old versions of those libraries
+      the update is complete, will list which processes are using the old versions of those libraries
       (replace <replaceable>libfoo</replaceable> with the name of the
       library):</para>
Index: chapter11/reboot.xml
===================================================================
--- chapter11/reboot.xml	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ chapter11/reboot.xml	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -108,4 +108,5 @@
 
 <screen><userinput>umount -v $LFS/dev/pts
+mountpoint -q $LFS/dev/shm &amp;&amp; umount $LFS/dev/shm
 umount -v $LFS/dev
 umount -v $LFS/run
Index: part3intro/toolchaintechnotes.xml
===================================================================
--- part3intro/toolchaintechnotes.xml	(revision c093e6b9d5e7b52a6df25c58d970ecac349b8b61)
+++ part3intro/toolchaintechnotes.xml	(revision f3b2f16713ccff17edf56cda6ce44f4894735dbd)
@@ -152,5 +152,5 @@
       irrelevant, autoconf allows to omit it. An astute reader may wonder
       why a <quote>triplet</quote> refers to a four component name. The
-      reason is the kernel field and the os field originiated from one
+      reason is the kernel field and the os field originated from one
       <quote>system</quote> field.  Such a three-field form is still valid
       today for some systems, for example
